##############################################################################
# Copyright (c) 2017 Orange and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Apache License, Version 2.0
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
---
### vPOD descriptor file ###

details:
  pod_owner: ONAP
  contact: N/A
  lab: ONAP LaaS
  location: N/A
  type: production
  link: http://wiki.opnfv.org/
##############################################################################

nodes:
  - name: control01
    node: &nodeparams
      type: virtual
      vendor: openstack
      model: rocky-8
      arch: x86_64
      cpus: 8
      cpu_cflags: host-model
      cores: 8
      memory: 6G
    disks: &disks
      - name: disk1
        disk_capacity: 60G
        disk_type: qcow2
        disk_interface: ide
      - name: disk-longhorn
        disk_capacity: 60G
        disk_interface: ssd-fast
      - name: disk-etcd
        disk_capacity: 1G
        disk_type: qcow2
        disk_interface: ssd
    interfaces: &interfaces
      - name: nic1
        network: admin
  - name: compute01
    node: &computeparams
      type: virtual
      vendor: openstack
      model: rocky-8
      arch: x86_64
      cpus: 16
      cpu_cflags: host-model
      cores: 16
      memory: 24G
    disks: &diskWorker
      - name: disk1
        disk_capacity: 60G
        disk_type: qcow2
        disk_interface: ide
      - name: disk-longhorn
        disk_capacity: 60G
        disk_interface: ssd-fast
    interfaces: *interfaces
  - name: compute02
    node: *computeparams
    disks: *diskWorker
    interfaces: *interfaces
  - name: compute03
    node: *computeparams
    disks: *diskWorker
    interfaces: *interfaces
